package main

import (
	"log"
	"os"

	"github.com/CGSG-2021-AE4/modem-test/api/modem"
)

func main() {
	log.Println("CGSG forever!!!")
	if err := mainE(); err != nil {
		log.Println("MAIN finished with error:", err.Error())
	}
	log.Println("END")
}

func mainE() error {
	m := modem.New(log.New(os.Stdout, "modem:", log.LstdFlags))
	log.Println("||||||||||||||||| INIT |||||||||||||||")
	if err := m.Init(); err != nil {
		return err
	}
	if !m.Validate() {
		log.Println("AAAAAAAAAAAAAAA Validation failed")
		return nil
	}
	log.Println("||||||||||||||||| GET INFO |||||||||||||||||")
	log.Println(m.GetData())

	// log.Println("||||||||||||||||| SEND SMS |||||||||||||||||")
	// log.Println(m.At().Send("AT+CNUM"))
	// if err := m.Sms().Send("+79218937173", "CGSG forever"); err != nil {
	// 	return err
	// }
	// if ms, err := m.Sms().ReadNew(); err != nil {
		// return err
	// } else {
		// log.Println("NEW:", ms)
	// }
	log.Println("||||||||||||||||| Checking gps status  |||||||||||||||||")
	log.Println(m.Gps().CheckStatus())

	return nil
}
